package gunav2.keymon.com.mx.designerscripts;
import anywheresoftware.b4a.objects.TextViewWrapper;
import anywheresoftware.b4a.objects.ImageViewWrapper;
import anywheresoftware.b4a.BA;


public class LS_login{

public static void LS_general(anywheresoftware.b4a.BA ba, android.view.View parent, anywheresoftware.b4a.keywords.LayoutValues lv, java.util.Map props,
java.util.Map<String, anywheresoftware.b4a.keywords.LayoutBuilder.ViewWrapperAndAnchor> views, int width, int height, float scale) throws Exception {
anywheresoftware.b4a.keywords.LayoutBuilder.setScaleRate(0.3);
anywheresoftware.b4a.keywords.LayoutBuilder.scaleAll(views);
views.get("imageview1").vw.setLeft((int)((50d / 100 * width) - (views.get("imageview1").vw.getWidth() / 2)));
views.get("i_engrane").vw.setLeft((int)((85d / 100 * width) - (views.get("i_engrane").vw.getWidth() / 2)));
views.get("panel1").vw.setLeft((int)((50d / 100 * width) - (views.get("panel1").vw.getWidth() / 2)));
views.get("panel1").vw.setTop((int)((38d / 100 * height) - (views.get("panel1").vw.getHeight() / 2)));
views.get("l_version").vw.setTop((int)((95d / 100 * height) - (views.get("l_version").vw.getHeight() / 2)));
views.get("label2").vw.setTop((int)((95d / 100 * height) - (views.get("label2").vw.getHeight() / 2)));
views.get("lv_server").vw.setLeft((int)((50d / 100 * width) - (views.get("lv_server").vw.getWidth() / 2)));
views.get("l_server").vw.setLeft((int)((50d / 100 * width) - (views.get("l_server").vw.getWidth() / 2)));
views.get("b_apk").vw.setLeft((int)((50d / 100 * width) - (views.get("b_apk").vw.getWidth() / 2)));
views.get("b_regesar").vw.setLeft((int)((50d / 100 * width) - (views.get("b_regesar").vw.getWidth() / 2)));
views.get("b_enviobd").vw.setLeft((int)((50d / 100 * width) - (views.get("b_enviobd").vw.getWidth() / 2)));
views.get("panel4").vw.setLeft((int)((50d / 100 * width) - (views.get("panel4").vw.getWidth() / 2)));

}
}